--- title: "getMailRequestList" slug: "ai-application-service-cloudoutboundmailer-getmailrequestlist" tags: ["Cloud Outbound Mailer"] updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/ai-application-service-cloudoutboundmailer-getmailrequestlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getMailRequestList Available in Classic and VPC Get a list of mailing requests. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /mails/requests | ### Request headers For headers common to Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer request headers](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `startUtc` | Long | Conditional | Start date and time of the request history you want to view - An integer representing the elapsed time since January 1, 1970 00:00:00 UTC to the nearest millisecond - `startUtc` or `startDateTime` must be entered - Take precedence over the `startDateTime` value | | `startDateTime` | String | Conditional | Start date and time of the request history you want to view (UTC+9:00) - Allowed formats - yyyy-MM-dd - yyyy-MM-dd HH:mm - yyyy-MM-dd HH:mm:ss.SSS - yyyy-MM-dd HH:mm:ss SSS - `startUtc` or `startDateTime` must be entered - `startUtc` value takes precedence | | `endUtc` | Long | Conditional | End date and time of the request history you want to view - An integer representing the elapsed time since January 1, 1970 00:00:00 UTC to the nearest millisecond - `endUtc` or `endDateTime` must be entered - Take precedence over the `endDateTime` value | | `endDateTime` | String | Conditional | End date and time of the request history you want to view (UTC+9:00) - Allowed formats - yyyy-MM-dd - yyyy-MM-dd HH:mm - yyyy-MM-dd HH:mm:ss.SSS - yyyy-MM-dd HH:mm:ss SSS - `endUtc` or `endDateTime` must be entered - `endUtc` value takes precedence | | `requestId` | String | Optional | Email delivery request ID to distinguish each request - `requestId` can contain multiple `mailId` when requesting multiple mailings at once | | `mailId` | String | Optional | Unique ID to identify each email | | `dispatchType` | String | Optional | Tool used when requesting email delivery - `CONSOLE` \| `API` | | `title` | String | Optional | Email subject - LIKE search supported | | `templateSid` | Integer | Optional | SID of the template used to create the email - See [getTemplateStructure](/docs/en/ai-application-service-cloudoutboundmailer-gettemplatestructure) | | `senderAddress` | String | Optional | Sender's email address | | `recipientAddress` | String | Optional | Recipient email address | | `sendStatus` | List[String] | Optional | Email delivery status - `P` \|`R` \| `I` \| `S` \| `F` \| `U` \| `C` \| `PF` - `P`: Preparing delivery - `R`: Delivery prepared - `I`: Sending - `S`: Delivery succeeded - `F`: Delivery failed - `U`: Rejected - `C`: Delivery canceled - `PF`: Partially failed | | `size` | Integer | Optional | Number of records per page - 10 (default) | | `page` | Integer | Optional | Page index to view - 0 or greater | | `sort` | String | Optional | Sort by - `createUtc` \| `recipientCount` \| `reservationUtc` \| `sendUtc` \| `statusCode` - `createUtc`: creation date and time - `recipientCount`: number of recipients - `reservationUtc`: reserved delivery date and time - `sendUtc`: delivery completion date and time - `statusCode`: delivery status - property (,asc\|desc) format - `asc` (default) - Multiple sort criteria can be set | ### Request example The following is a sample request. ``` curl --location --request GET 'https://mail.apigw.ntruss.com/api/v1/mails/requests?dispatchType=API&startDateTime=2018-11-01%2000:00&size=5&sendStatus=S&page=0&endDateTime=2018-11-20%2023:59' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | List | - | Details for the request history list - See [RequestListResponse](/docs/en/common-vapidatatype-nesrequestlistcontent) | | `last` | Boolean | - | Whether it is the last page | | `totalElements` | Integer | - | Total number of records | | `totalPages` | Integer | - | Total number of pages | | `first` | Boolean | - | Whether it is the first page | | `numberOfElements` | Integer | - | Number of records in the current page | | `size` | Integer | - | Number of records per page | | `number` | Integer | - | Index of the current page (starts from 0) | | `sort` | List | - | Sort by - See [Sort](/docs/en/common-vapidatatype-nessort) | ### Response status codes For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer response status codes](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "content":[ { "requestId":"20181120000000000299", "requestDate":{ "utc":1542675575268, "formattedDate":"2018-11-20", "formattedDateTime":"2018-11-20 09:59:35 268" }, "templateSid":null, "templateName":null, "emailStatus":{ "label":"Delivery succeeded", "code":"S" }, "senderAddress":"no_reply@domain.com", "senderName":null, "dispatchType":"API", "elapsedTime":"00:00:05.230", "sendDate":{ "utc":1542675580498, "formattedDate":"2018-11-20", "formattedDateTime":"2018-11-20 09:59:40 498" }, "reservationDate":null, "requestCount":100, "recipientCount":100 }, { "requestId":"20181113000000000499", "requestDate":{ "utc":1542071645647, "formattedDate":"2018-11-13", "formattedDateTime":"2018-11-13 10:14:05 647" }, "templateSid":null, "templateName":null, "emailStatus":{ "label":"Delivery succeeded", "code":"S" }, "senderAddress":"a@a.com", "senderName":null, "dispatchType":"API", "elapsedTime":"00:00:00.475", "sendDate":{ "utc":1542071646122, "formattedDate":"2018-11-13", "formattedDateTime":"2018-11-13 10:14:06 122" }, "reservationDate":null, "requestCount":1, "recipientCount":1 }, { "requestId":"20181113000000000299", "requestDate":{ "utc":1542071618910, "formattedDate":"2018-11-13", "formattedDateTime":"2018-11-13 10:13:38 910" }, "templateSid":null, "templateName":null, "emailStatus":{ "label":"Delivery succeeded", "code":"S" }, "senderAddress":"a@a.com", "senderName":null, "dispatchType":"API", "elapsedTime":"00:00:02.142", "sendDate":{ "utc":1542071621052, "formattedDate":"2018-11-13", "formattedDateTime":"2018-11-13 10:13:41 052" }, "reservationDate":null, "requestCount":1, "recipientCount":1 }, { "requestId":"20181109000063986599", "requestDate":{ "utc":1541752179226, "formattedDate":"2018-11-09", "formattedDateTime":"2018-11-09 17:29:39 226" }, "templateSid":13, "templateName":"test", "emailStatus":{ "label":"Delivery succeeded", "code":"S" }, "senderAddress":"no_reply@a.com", "senderName":"test", "dispatchType":"API", "elapsedTime":"00:15:02.312", "sendDate":{ "utc":1541753081538, "formattedDate":"2018-11-09", "formattedDateTime":"2018-11-09 17:44:41 538" }, "reservationDate":null, "requestCount":100000, "recipientCount":100000 }, { "requestId":"20181109000063886499", "requestDate":{ "utc":1541752150850, "formattedDate":"2018-11-09", "formattedDateTime":"2018-11-09 17:29:10 850" }, "templateSid":13, "templateName":"test", "emailStatus":{ "label":"Delivery succeeded", "code":"S" }, "senderAddress":"no_reply@a.com", "senderName":"test", "dispatchType":"API", "elapsedTime":"00:00:17.004", "sendDate":{ "utc":1541752167854, "formattedDate":"2018-11-09", "formattedDateTime":"2018-11-09 17:29:27 854" }, "reservationDate":null, "requestCount":1000, "recipientCount":1000 } ], "last":false, "totalElements":21, "totalPages":5, "first":true, "numberOfElements":5, "sort":[ { "direction":"DESC", "property":"createUtc", "ignoreCase":false, "nullHandling":"NATIVE", "ascending":false, "descending":true } ], "size":5, "number":0 } ```